| Disk ARchive 2.8.3 Full featured and portable backup and archiving tool

Loading...
Searching...
No Matches
Public Member Functions | Private Member Functions | Private Attributes | List of all members
libdar::Ethread_cancel_with_attr Class Reference
Private

Ethread_cancel with infinint attribute. More...

`#include <erreurs_ext.hpp>`

Inherits libdar::Ethread_cancel.

## Public Member Functions
| Ethread_cancel_with_attr (bool now, U_64 x_flag, const infinint &attr)
| Ethread_cancel_with_attr (const Ethread_cancel_with_attr &ref)
| Ethread_cancel_with_attr (Ethread_cancel_with_attr &&ref) noexcept
Ethread_cancel_with_attr & | operator= (const Ethread_cancel_with_attr &ref)
Ethread_cancel_with_attr & | operator= (Ethread_cancel_with_attr &&ref) noexcept
const infinint | get_attr () const
Public Member Functions inherited from libdar::Ethread_cancel
| Ethread_cancel (bool now, U_64 x_flag)
| Ethread_cancel (const Ethread_cancel &ref)=default
| Ethread_cancel (Ethread_cancel &&ref)=default
Ethread_cancel & | operator= (const Ethread_cancel &ref)=default
Ethread_cancel & | operator= (Ethread_cancel &&ref)=default
bool | immediate_cancel () const
U_64 | get_flag () const
| Ethread_cancel (bool now, U_64 x_flag)
| Ethread_cancel (const Ethread_cancel &ref)=default
| Ethread_cancel (Ethread_cancel &&ref)=default
Ethread_cancel & | operator= (const Ethread_cancel &ref)=default
Ethread_cancel & | operator= (Ethread_cancel &&ref)=default
bool | immediate_cancel () const
U_64 | get_flag () const
Public Member Functions inherited from libdar::Egeneric
| Egeneric (const std::string &source, const std::string &message)
| the constructor
| Egeneric (const Egeneric &ref)=default
| copy constructor
| Egeneric (Egeneric &&ref)=default
| move constructor
Egeneric & | operator= (const Egeneric &ref)=default
| assignment operator
Egeneric & | operator= (Egeneric &&ref) noexcept=default
| move operator
virtual | ~Egeneric ()=default
| the destructor
void | stack (const std::string &passage, const std::string &message="")
| add more detailed couple of information to the exception
void | stack (const std::string &&passage, const std::string &&message="")
const std::string & | get_message () const
| get the message explaing the nature of the exception
const std::string & | get_source () const
| get the call function which has thrown this exception
const std::string & | find_object (const std::string &location) const
| retrieve the objet (object) associated to a given "lieu" (location) from the stack
void | prepend_message (const std::string &context)
| prepend error message by the given string
std::string | dump_str () const
| return a string result of the exception information dump
| Egeneric (const std::string &source, const std::string &message)
| the constructor
| Egeneric (const Egeneric &ref)=default
| copy constructor
| Egeneric (Egeneric &&ref)=default
| move constructor
Egeneric & | operator= (const Egeneric &ref)=default
| assignment operator
Egeneric & | operator= (Egeneric &&ref) noexcept=default
| move operator
virtual | ~Egeneric ()=default
| the destructor
void | stack (const std::string &passage, const std::string &message="")
| add more detailed couple of information to the exception
void | stack (const std::string &&passage, const std::string &&message="")
const std::string & | get_message () const
| get the message explaing the nature of the exception
const std::string & | get_source () const
| get the call function which has thrown this exception
const std::string & | find_object (const std::string &location) const
| retrieve the objet (object) associated to a given "lieu" (location) from the stack
void | prepend_message (const std::string &context)
| prepend error message by the given string
std::string | dump_str () const
| return a string result of the exception information dump

## Private Member Functions
void | detruit ()
void | copy_from (const Ethread_cancel_with_attr &ref)

## Private Attributes
infinint * | x_attr

## Additional Inherited Members
Protected Member Functions inherited from libdar::Ethread_cancel
virtual std::string | exceptionID () const override
virtual std::string | exceptionID () const override

## Detailed Description

Ethread_cancel with infinint attribute.

Definition at line 41 of file erreurs_ext.hpp.

## Constructor & Destructor Documentation

## ◆ Ethread_cancel_with_attr() [1/2]

libdar::Ethread_cancel_with_attr::Ethread_cancel_with_attr | ( | const Ethread_cancel_with_attr & | ref | ) |
| inline

Definition at line 45 of file erreurs_ext.hpp.

## ◆ Ethread_cancel_with_attr() [2/2]

libdar::Ethread_cancel_with_attr::Ethread_cancel_with_attr | ( | Ethread_cancel_with_attr && | ref | ) |
| inline noexcept

Definition at line 46 of file erreurs_ext.hpp.

## ◆ ~Ethread_cancel_with_attr()

libdar::Ethread_cancel_with_attr::~Ethread_cancel_with_attr | ( |  | ) |
| inline

Definition at line 49 of file erreurs_ext.hpp.

## Member Function Documentation

## ◆ get_attr()

const infinint libdar::Ethread_cancel_with_attr::get_attr | ( |  | ) | const
| inline

Definition at line 51 of file erreurs_ext.hpp.

## ◆ operator=()

Ethread_cancel_with_attr & libdar::Ethread_cancel_with_attr::operator= | ( | const Ethread_cancel_with_attr & | ref | ) |
| inline

Definition at line 47 of file erreurs_ext.hpp.

## Member Data Documentation

## ◆ x_attr

infinint* libdar::Ethread_cancel_with_attr::x_attr
| private

Definition at line 60 of file erreurs_ext.hpp.

The documentation for this class was generated from the following file:

- erreurs_ext.hpp